FAQ
I have followed the steps mentioned in the below URL

https://ccp.cloudera.com/display/CDH4DOC/Installing+CDH4+on+a+Single+Linux+Node+in+Pseudo-distributed+Mode

When I issued this command "*sudo apt-get install hadoop-conf-pseudo*"

Its throwing


"Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
*hadoop-conf-pseudo : Depends: hadoop-hdfs-namenode (=
2.0.0+556-1.cdh4.1.3.p0.23~precise-cdh4.1.3) but it is not going to be
installed
Depends: hadoop-hdfs-datanode (=
2.0.0+556-1.cdh4.1.3.p0.23~precise-cdh4.1.3) but it is not going to be
installed
Depends: hadoop-hdfs-secondarynamenode (=
2.0.0+556-1.cdh4.1.3.p0.23~precise-cdh4.1.3) but it is not going to be
installed*
E: Unable to correct problems, you have held broken packages."



What could be the Problem?

--

Search Discussions

  • Roman Shaposhnik at Feb 5, 2013 at 4:28 pm

    On Tue, Feb 5, 2013 at 5:50 AM, wrote:
    I have followed the steps mentioned in the below URL

    https://ccp.cloudera.com/display/CDH4DOC/Installing+CDH4+on+a+Single+Linux+Node+in+Pseudo-distributed+Mode

    When I issued this command "sudo apt-get install hadoop-conf-pseudo"

    Its throwing
    Could you, please, try apt-get update and then retry the installation?

    Thanks,
    Roman.

    --
  • Srikraj8341 at Feb 6, 2013 at 1:52 am
    There might many updates available on the machine which are required for
    the hadoop. So please update the machine and then install hadoop
    On Wed, Feb 6, 2013 at 12:27 AM, Roman Shaposhnik wrote:
    On Tue, Feb 5, 2013 at 5:50 AM, wrote:
    I have followed the steps mentioned in the below URL

    https://ccp.cloudera.com/display/CDH4DOC/Installing+CDH4+on+a+Single+Linux+Node+in+Pseudo-distributed+Mode
    When I issued this command "sudo apt-get install hadoop-conf-pseudo"

    Its throwing
    Could you, please, try apt-get update and then retry the installation?

    Thanks,
    Roman.

    --


    --
  • Srikraj8341 at Feb 6, 2013 at 1:28 am
    Is there enough space to get hadoop installed? check out the disk
    management, all the per-requsites that are required to install hadoop and
    then try again.
    On Tue, Feb 5, 2013 at 9:50 PM, wrote:

    I have followed the steps mentioned in the below URL


    https://ccp.cloudera.com/display/CDH4DOC/Installing+CDH4+on+a+Single+Linux+Node+in+Pseudo-distributed+Mode

    When I issued this command "*sudo apt-get install hadoop-conf-pseudo*"

    Its throwing


    "Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    *hadoop-conf-pseudo : Depends: hadoop-hdfs-namenode (=
    2.0.0+556-1.cdh4.1.3.p0.23~precise-cdh4.1.3) but it is not going to be
    installed
    Depends: hadoop-hdfs-datanode (=
    2.0.0+556-1.cdh4.1.3.p0.23~precise-cdh4.1.3) but it is not going to be
    installed
    Depends: hadoop-hdfs-secondarynamenode (=
    2.0.0+556-1.cdh4.1.3.p0.23~precise-cdh4.1.3) but it is not going to be
    installed*
    E: Unable to correct problems, you have held broken packages."



    What could be the Problem?

    --


    --

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcdh-user @
categorieshadoop
postedFeb 5, '13 at 1:50p
activeFeb 6, '13 at 1:52a
posts4
users3
websitecloudera.com
irc#hadoop

People

Translate

site design / logo © 2022 Grokbase